## fonts-smc-meera 7.0

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=Meera
feature=features/features.fea
PY=python2.7
buildscript=tools/build.py
version=7.0
default: compile
all: compile webfonts test
compile:
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t ttf -i $$font.sfd -f $(feature) -v $(version);\
	done;

webfonts:woff woff2
woff: compile
	@rm -rf *.woff
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff -i $$font.ttf;\
	done;
woff2: compile
	@rm -rf *.woff2
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff2 -i $$font.ttf;\
	done;

install: compile
	@for font in `echo ${fonts}`;do \
		install -D -m 0644 $${font}.otf ${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

test: compile
# Test the fonts
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $${font}.ttf --font-size 14 --margin 100 --line-space 1.5 --foreground=333333  --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;
clean:
	@rm -rf *.otf *.ttf *.woff *.woff2 *.sfd-*

=== debian/changelog ===
fonts-smc-meera (7.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Updated Build-deps: fonttools->python-fonttools. Thanks Adrian Bunk.
      (Closes: #876836)
    + Updated Standards-Version to 4.1.1

 -- Kartik Mistry <kartik@debian.org>  Sat, 21 Oct 2017 22:18:22 +0530

fonts-smc-meera (7.0-1) unstable; urgency=medium

  * Splitting package fonts-smc to individual fonts

 -- Balasankar C <balasankarc@autistici.org>  Sun, 13 Nov 2016 20:20:54 +0530

=== debian/control ===
Source: fonts-smc-meera
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper (>= 9),
               fontforge (>= 1:20161005~dfsg),
               python-fonttools,
               libharfbuzz-bin,
               python-fontforge
Standards-Version: 4.1.1
Homepage: http://smc.org.in

Package: fonts-smc-meera
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: fonts-smc (<< 6.1~)
Replaces: fonts-smc (<< 6.1~)
Description: Meera malayalam font
 This package provides Meera font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/meera-$1\.tar\.gz/g \
  https://gitlab.com/smc/meera/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)

## fonts-smc-meera 7.0.1

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=Meera-Regular
feature=features/features.fea
PY=python2.7
buildscript=tools/build.py
version=7.0
outdir=build
default: ttf
all: clean ttf webfonts test
.PHONY: ttf
ttf:
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t ttf -i $$font.sfd -f $(feature) -v $(version) -o $(outdir);\
	done;

webfonts:woff woff2
woff: ttf
	@rm -rf *.woff
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff -i $(outdir)/$$font.ttf;\
	done;
woff2: ttf
	@rm -rf *.woff2
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff2 -i $(outdir)/$$font.ttf;\
	done;

install: ttf
	@for font in `echo ${fonts}`;do \
		install -D -m 0644 $(outdir)/$${font}.ttf ${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

ifeq ($(shell ls -l $(outdir)/*.ttf 2>/dev/null | wc -l),0)
test: ttf run-test
else
test: run-test
endif

run-test:
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $(outdir)/$${font}.ttf --font-size 14 --margin 100 --line-space 1.5 --foreground=333333  --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;
clean:
	@rm -rf *.otf *.ttf *.woff *.woff2 *.sfd-* tests/*.pdf $(outdir)

=== debian/changelog ===
fonts-smc-meera (7.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compatibility to 11.
  * Use https for URLs.
  * Remove fix-makefile-errors.patch - Patch applied upstream.
  * Add missing license to d/copyright.
  * Move maintainership to Debian Fonts Task Force.

 -- Balasankar C <balasankarc@debian.org>  Fri, 01 Mar 2019 00:40:36 +0530

=== debian/control ===
Source: fonts-smc-meera
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@debian.org>
Build-Depends: debhelper (>= 11~),
               fontforge (>= 1:20161005~dfsg),
               libharfbuzz-bin,
               python-fontforge,
               python-fonttools
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-meera.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-meera
Standards-Version: 4.3.0
Homepage: https://smc.org.in

Package: fonts-smc-meera
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: fonts-smc (<< 6.1~)
Replaces: fonts-smc (<< 6.1~)
Description: Meera malayalam font
 This package provides Meera font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community.

## fonts-smc-meera 7.0.2

=== debian/changelog ===
fonts-smc-meera (7.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Balasankar C <balasankarc@debian.org>  Sat, 20 Jul 2019 18:51:52 +0530

## fonts-smc-meera 7.0.3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 fontpath=/usr/share/fonts/truetype/malayalam
 fonts=Meera-Regular
 feature=features/features.fea
-PY=python2.7
+PY=python3
 buildscript=tools/build.py
 version=7.0
 outdir=build

=== debian/changelog ===
fonts-smc-meera (7.0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #943030)
  * Bump Debhelper compatibility to 12
  * Bump Standards-Version to 4.4.1
  * Install Appstream metadata file
  * Add upstream metadata file

 -- Balasankar C <balasankarc@debian.org>  Wed, 01 Jan 2020 17:23:55 +0530

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,17 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Balasankar C <balasankarc@debian.org>
-Build-Depends: debhelper (>= 11~),
-               fontforge (>= 1:20161005~dfsg),
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
+               fontforge-nox (>= 1:20161005~dfsg),
                libharfbuzz-bin,
-               python-fontforge,
-               python-fonttools
+               python3-fontforge,
+               python3-fonttools
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-meera.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-meera
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://smc.org.in
+Rules-Requires-Root: no
 
 Package: fonts-smc-meera
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.*Version(\d\S+).meera-Version(\d\S+)\.tar\.gz/meera-\2\.tar\.gz/ \
  https://gitlab.com/smc/fonts/meera/tags?sort=updated_desc .*meera-Version(\d\S+)\.tar\.gz
